/**
* \file Sea.h
* \author basile.graf@epfl.ch
*
* Contain declaration for functions defined in wave_z_compute_byHand.cpp \n
* !!!! Wave-evaluation function in wave_z_compute_byHand.cpp is not automaticaly updated by MATLAB code generation !!!!!
*/


#ifndef SEA_H_DEF
#define SEA_H_DEF

#include "graphics_relative.h"





void wave_init();//graphicDatas *gd);

void wave_z_compute(datas *d);//, graphicDatas *gd);

void free_wave_variables();//graphicDatas *gd);

void Draw_sea();//graphicDatas *gd);

void fillWaveLuts();

#endif